Security update for pdsh, slurm_18_08

SUSE Security Update: Security update for pdsh, slurm_18_08
Announcement ID: SUSE-SU-2020:0443-1
Rating: moderate
References: #1018371 #1065697 #1085240 #1095508 #1123304 #1140709 #1155784 #1158709 #1158798 #1159692
Cross-References:CVE-2016-10030 CVE-2017-15566 CVE-2018-10995 CVE-2018-7033 CVE-2019-12838 CVE-2019-19727 CVE-2019-19728 CVE-2019-6438
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for HPC 15-SP1
  • SUSE Linux Enterprise Module for HPC 15

An update that solves 8 vulnerabilities and has two fixes is now available.

Description:

This update for pdsh, slurm_18_08 fixes the following issues:
Slurm was included in the 18.08 release, as "slurm_18_08" package. The version 18.08.9 contains all recent security fixes, including:

  • CVE-2019-19728: Fixed a privilege escalation with srun, where --uid might have unintended side effects (bsc#1159692).
  • CVE-2019-19727: Fixed permissions of slurmdbd.conf (bsc#1155784).

pdsh was updated to:
  • Add support for an alternative SLURM version when building the slurm plugin.

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-443=1
  • SUSE Linux Enterprise Module for HPC 15-SP1:
    zypper in -t patch SUSE-SLE-Module-HPC-15-SP1-2020-443=1
  • SUSE Linux Enterprise Module for HPC 15:
    zypper in -t patch SUSE-SLE-Module-HPC-15-2020-443=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (ppc64le s390x):
    • pdsh-2.33-7.6.1
    • pdsh-debuginfo-2.33-7.6.1
    • pdsh-debugsource-2.33-7.6.1
    • pdsh-dshgroup-2.33-7.6.1
    • pdsh-dshgroup-debuginfo-2.33-7.6.1
    • pdsh-genders-2.33-7.6.1
    • pdsh-genders-debuginfo-2.33-7.6.1
    • pdsh-machines-2.33-7.6.1
    • pdsh-machines-debuginfo-2.33-7.6.1
    • pdsh-netgroup-2.33-7.6.1
    • pdsh-netgroup-debuginfo-2.33-7.6.1
    • pdsh-slurm-2.33-7.6.1
    • pdsh-slurm-debuginfo-2.33-7.6.1
    • pdsh-slurm_18_08-2.33-7.6.1
    • pdsh-slurm_18_08-debuginfo-2.33-7.6.1
  • SUSE Linux Enterprise Module for HPC 15-SP1 (aarch64 x86_64):
    • pdsh-2.33-7.6.1
    • pdsh-debuginfo-2.33-7.6.1
    • pdsh-debugsource-2.33-7.6.1
    • pdsh-dshgroup-2.33-7.6.1
    • pdsh-dshgroup-debuginfo-2.33-7.6.1
    • pdsh-genders-2.33-7.6.1
    • pdsh-genders-debuginfo-2.33-7.6.1
    • pdsh-machines-2.33-7.6.1
    • pdsh-machines-debuginfo-2.33-7.6.1
    • pdsh-netgroup-2.33-7.6.1
    • pdsh-netgroup-debuginfo-2.33-7.6.1
    • pdsh-slurm-2.33-7.6.1
    • pdsh-slurm-debuginfo-2.33-7.6.1
    • pdsh-slurm_18_08-2.33-7.6.1
    • pdsh-slurm_18_08-debuginfo-2.33-7.6.1
  • SUSE Linux Enterprise Module for HPC 15 (aarch64 x86_64):
    • libpmi0_18_08-18.08.9-1.5.2
    • libpmi0_18_08-debuginfo-18.08.9-1.5.2
    • libslurm33-18.08.9-1.5.2
    • libslurm33-debuginfo-18.08.9-1.5.2
    • pdsh-2.33-7.6.1
    • pdsh-debuginfo-2.33-7.6.1
    • pdsh-debugsource-2.33-7.6.1
    • pdsh-dshgroup-2.33-7.6.1
    • pdsh-dshgroup-debuginfo-2.33-7.6.1
    • pdsh-genders-2.33-7.6.1
    • pdsh-genders-debuginfo-2.33-7.6.1
    • pdsh-machines-2.33-7.6.1
    • pdsh-machines-debuginfo-2.33-7.6.1
    • pdsh-netgroup-2.33-7.6.1
    • pdsh-netgroup-debuginfo-2.33-7.6.1
    • pdsh-slurm-2.33-7.6.1
    • pdsh-slurm-debuginfo-2.33-7.6.1
    • pdsh-slurm_18_08-2.33-7.6.1
    • pdsh-slurm_18_08-debuginfo-2.33-7.6.1
    • perl-slurm_18_08-18.08.9-1.5.2
    • perl-slurm_18_08-debuginfo-18.08.9-1.5.2
    • slurm_18_08-18.08.9-1.5.2
    • slurm_18_08-auth-none-18.08.9-1.5.2
    • slurm_18_08-auth-none-debuginfo-18.08.9-1.5.2
    • slurm_18_08-config-18.08.9-1.5.2
    • slurm_18_08-debuginfo-18.08.9-1.5.2
    • slurm_18_08-debugsource-18.08.9-1.5.2
    • slurm_18_08-devel-18.08.9-1.5.2
    • slurm_18_08-doc-18.08.9-1.5.2
    • slurm_18_08-lua-18.08.9-1.5.2
    • slurm_18_08-lua-debuginfo-18.08.9-1.5.2
    • slurm_18_08-munge-18.08.9-1.5.2
    • slurm_18_08-munge-debuginfo-18.08.9-1.5.2
    • slurm_18_08-node-18.08.9-1.5.2
    • slurm_18_08-node-debuginfo-18.08.9-1.5.2
    • slurm_18_08-pam_slurm-18.08.9-1.5.2
    • slurm_18_08-pam_slurm-debuginfo-18.08.9-1.5.2
    • slurm_18_08-plugins-18.08.9-1.5.2
    • slurm_18_08-plugins-debuginfo-18.08.9-1.5.2
    • slurm_18_08-slurmdbd-18.08.9-1.5.2
    • slurm_18_08-slurmdbd-debuginfo-18.08.9-1.5.2
    • slurm_18_08-sql-18.08.9-1.5.2
    • slurm_18_08-sql-debuginfo-18.08.9-1.5.2
    • slurm_18_08-torque-18.08.9-1.5.2
    • slurm_18_08-torque-debuginfo-18.08.9-1.5.2

References: